import { IGraph } from './models/graph';
import { INodeBase } from './models/node';
import { IEdgeBase } from './models/edge';
import { IOrbViewFactory, IOrbView } from './views';
import { IEventStrategy } from './models/strategy';
import { OrbEmitter } from './events';
export interface IOrbSettings<N extends INodeBase, E extends IEdgeBase, S> {
    view: IOrbViewFactory<N, E, S>;
    strategy: IEventStrategy<N, E>;
}
export declare class Orb<N extends INodeBase = any, E extends IEdgeBase = any, S = any> {
    private container;
    private _view;
    private readonly _events;
    private readonly _graph;
    private readonly _context;
    constructor(container: HTMLElement, settings?: Partial<IOrbSettings<N, E, S>>);
    get data(): IGraph<N, E>;
    get view(): IOrbView<S>;
    get events(): OrbEmitter<N, E>;
    setView(factory: IOrbViewFactory<N, E, S>): void;
}
