import { ZoomTransform } from 'd3-zoom';
import { INodeBase } from '../../models/node';
import { IEdgeBase } from '../../models/edge';
import { IGraph } from '../../models/graph';
import { IPosition, IRectangle } from '../../common';
import { Emitter } from '../../utils/emitter.utils';
import { IRenderer, RendererEvents as RE, IRendererSettings } from '../shared';
export declare class WebGLRenderer<N extends INodeBase, E extends IEdgeBase> extends Emitter<RE> implements IRenderer<N, E> {
    private readonly _context;
    width: number;
    height: number;
    private _settings;
    transform: ZoomTransform;
    constructor(context: WebGL2RenderingContext, settings?: Partial<IRendererSettings>);
    get isInitiallyRendered(): boolean;
    getSettings(): IRendererSettings;
    setSettings(settings: Partial<IRendererSettings>): void;
    render(graph: IGraph<N, E>): void;
    reset(): void;
    getFitZoomTransform(graph: IGraph<N, E>): ZoomTransform;
    getSimulationPosition(canvasPoint: IPosition): IPosition;
    getSimulationViewRectangle(): IRectangle;
    translateOriginToCenter(): void;
}
