import { ISimulationEdge, ISimulationNode, ISimulator, SimulatorEvents } from '../shared';
import { IPosition } from '../../common';
import { Emitter } from '../../utils/emitter.utils';
import { D3SimulatorEngine, ID3SimulatorEngineSettingsUpdate } from '../engine/d3-simulator-engine';
export declare class MainThreadSimulator extends Emitter<SimulatorEvents> implements ISimulator {
    protected readonly simulator: D3SimulatorEngine;
    constructor();
    setData(nodes: ISimulationNode[], edges: ISimulationEdge[]): void;
    addData(nodes: ISimulationNode[], edges: ISimulationEdge[]): void;
    updateData(nodes: ISimulationNode[], edges: ISimulationEdge[]): void;
    clearData(): void;
    simulate(): void;
    activateSimulation(): void;
    startSimulation(nodes: ISimulationNode[], edges: ISimulationEdge[]): void;
    updateSimulation(nodes: ISimulationNode[], edges: ISimulationEdge[]): void;
    stopSimulation(): void;
    startDragNode(): void;
    dragNode(nodeId: number, position: IPosition): void;
    endDragNode(nodeId: number): void;
    fixNodes(nodes: ISimulationNode[]): void;
    releaseNodes(nodes?: ISimulationNode[] | undefined): void;
    setSettings(settings: ID3SimulatorEngineSettingsUpdate): void;
    terminate(): void;
}
